@echo off

 rem ---------------------------------------------------------------------------
 rem Dokumentation PLMJobManager Scripts/Param anwendbare Parameter:
 rem set NXDP22_JtTCExport=true = schaltet den Export von JT Files ein
 rem set NXDP21_JtTCUpdate=true	= schaltet JTUpdate ein
 rem ---------------------------------------------------------------------------
 rem Aenderungs Info:
 rem                  User    Date/Time   Infotext:
 set MyApplCurVerInfo=J.Fes   30.11.2007  Ersterstellung
 set MyApplCurVerInfo=J.Fes   29.04.2014  Change to JCTools
 set MyApplCurVerInfo=J.Fes   01.02.2017  Update
 set MyApplCurVerInfo=J.Fes   20.12.2021  add NXDP51_NXPartCreate

 set JobMgr_TcUser=%~1
 set JobMgr_TcPw=%~2
 set JobMgr_TcGroup=%~3
 if not defined JobMgr_TcGroup set JobMgr_TcGroup=dba


 if not defined NXDP21_JtTCUpdate set NXDP21_JtTCUpdate=false
 if not defined NXDP22_JtTCExport set NXDP22_JtTCExport=false


 if /i "%JobMgr_Debug%" neq "ON" goto :JumbOverDebug
  call Echo "---------------------------------------------------------------------------"
  call Echo "#Debug..........................: %~nx0"
  pause
 :JumbOverDebug

 rem -- JT Update TC Singleparts
 IF /i "%NXDP21_JtTCUpdate%" equ "true"                call "NXDP21_JtTCUpdate.cmd"
 IF /i "%NXDP_ACTION%"       equ "NXDP30_StepToNx"     call "NXDP30_StepToNx.cmd"
 IF /i "%NXDP_ACTION%"       equ "NXDP50_NxToTc"       call "NXDP50_NxToTc.cmd"
 IF /i "%NXDP_ACTION%"       equ "NXDP51_NXPartCreate" call "NXDP51_NXPartCreate.cmd"

 IF /i "%NXDP_ACTION%"       equ "NXDP60_NxFileImport" call "NXDP60_NxFileImport.cmd"
 IF /i "%NXDP_ACTION%"       equ "NXDP70_AttrSync"     call "NXDP70_AttrSync.cmd"
 IF /i "%NXDP_ACTION%"       equ "NXDP80_ExportNX"     call "NXDP80_ExportNX.cmd"


 if /I "%JobMgr_Debug%" equ "ON" (
   pause
 )

goto :eof

